Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001133Zandronum[All Projects] Suggestionpublic2012-10-16 17:222016-09-01 20:26
ReporterStrikerMan780 
Assigned ToTorr Samaho 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0 
Target Versionzdoom-syncFixed in Versionzdoom-sync 
Summary0001133: Make teleport fog target actor that teleported.
DescriptionFor Super UDM3, I had made team-colored teleport fogs, but, I need the fog's target field be set to that of the player or actor that had just teleported, that way I can do any sort of inventory checks necessary on the player.

This could be useful for class-specific teleport fogs, or different fogs between players and projectiles, monsters, etc.
Attached Files

- Relationships
child of 0002172resolvedTorr Samaho Upgrade GZDoom base to 1.8.6 

-  Notes
User avatar (0005130)
StrikerMan780 (reporter)
2012-10-16 17:24

As an extra note, this should also affect the teleport fog that shows when players spawn/respawn.
User avatar (0005132)
Dusk (developer)
2012-10-17 16:51

This should be asked at ZDoom first..
User avatar (0005133)
StrikerMan780 (reporter)
2012-10-17 17:03

http://forum.zdoom.org/viewtopic.php?f=15&t=34322&p=648996#p648996 [^]
User avatar (0014335)
Edward-san (developer)
2016-02-06 10:44

It was added in zdoom r4190, as mentioned here. Does it work in latest zandronum 3.0 beta?
User avatar (0014696)
StrikerMan780 (reporter)
2016-04-10 19:30

Partially works. Works when you use teleporters, but fogs don't target the player when you initially spawn or when you respawn.
User avatar (0014697)
Dusk (developer)
2016-04-10 19:43

Can you test whether that works in ZDoom?
User avatar (0014699)
Edward-san (developer)
2016-04-10 23:40

While we're at it, please check gzdoom 1.8.6, too.
User avatar (0014700)
ZzZombo (reporter)
2016-04-11 10:03

I recall that being fixed in a later commit, so it should.
User avatar (0015021)
Edward-san (developer)
2016-06-05 08:47

Can someone give a precise answer about gzdoom 1.8.6?
User avatar (0015029)
StrikerMan780 (reporter)
2016-06-05 23:08
edited on: 2016-06-05 23:12

Turns it it wasn't a coding error on my part... fucking hell, I hate it when things are inconsistent as fuck. I just changed my mod so the player has the appropriate items right away, and it doesn't seem to be targeting the spawning player.

I am going to need a 1.8.6 link, Graf took the downloads down, remember?

Then again, this bug happens in Single Player, so it's safe to assume in happens in 1.8.6 too.

User avatar (0015030)
WaTaKiD (updater)
2016-06-05 23:15

gzdoom 1.8.6 can be found here:http://zandronum.com/tracker/plugin.php?page=Rules/rules [^]
User avatar (0015031)
StrikerMan780 (reporter)
2016-06-06 00:04
edited on: 2016-06-06 00:12

Ah, thanks.

Broken in 1.8.6 as well, as I thought.

EDIT: And broken in latest too. It seems, despite the rewrite, it wasn't fixed as previously thought. I hate it when shit doesn't behave consistently. Leave it to me to fuck up by getting ahead of myself.

I'm going to go report this on the ZDoom forum.

User avatar (0015037)
StrikerMan780 (reporter)
2016-06-06 19:12
edited on: 2016-06-06 19:12

ZDoom devs just fixed it.

http://forum.zdoom.org/viewtopic.php?f=7&t=52409&p=916017#p916017 [^]

http://zdoom.org/Changelog/1703842/files [^]

User avatar (0015039)
Edward-san (developer)
2016-06-06 19:43

We can't add this patch as is, because of the vast difference between latest zdoom code and zandronum 3.x. It's up to Torr to decide if it's worth getting a merge conflict or not.
User avatar (0015551)
StrikerMan780 (reporter)
2016-09-01 01:54
edited on: 2016-09-01 01:55

I guess this can be marked as resolved, since it's fixed in the ZDoom Sync branch, but nothing can be done for 3.0. Targeting teleported actors works fine, just not spawning players.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: ZzZombo
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-10-16 17:22 StrikerMan780 New Issue
2012-10-16 17:24 StrikerMan780 Note Added: 0005130
2012-10-17 16:51 Dusk Note Added: 0005132
2012-10-17 16:52 Dusk Status new => acknowledged
2012-10-17 16:52 Dusk Resolution open => waiting for zdoom
2012-10-17 17:03 StrikerMan780 Note Added: 0005133
2016-02-06 10:44 Edward-san Note Added: 0014335
2016-02-06 10:44 Edward-san Assigned To => Torr Samaho
2016-02-06 10:44 Edward-san Status acknowledged => feedback
2016-02-06 10:44 Edward-san Resolution waiting for zdoom => open
2016-02-06 10:44 Edward-san Target Version => 3.0
2016-02-06 10:44 Edward-san Relationship added child of 0002172
2016-02-06 12:02 Edward-san Status feedback => needs testing
2016-04-10 19:30 StrikerMan780 Note Added: 0014696
2016-04-10 19:43 Dusk Note Added: 0014697
2016-04-10 23:40 Edward-san Note Added: 0014699
2016-04-10 23:41 Edward-san Status needs testing => feedback
2016-04-11 10:03 ZzZombo Note Added: 0014700
2016-06-05 03:14 StrikerMan780 Note Added: 0015016
2016-06-05 03:14 StrikerMan780 Status feedback => assigned
2016-06-05 03:42 StrikerMan780 Note Edited: 0015016 View Revisions
2016-06-05 08:47 Edward-san Note Added: 0015021
2016-06-05 08:47 Edward-san Status assigned => feedback
2016-06-05 23:07 StrikerMan780 Note Edited: 0015016 View Revisions
2016-06-05 23:07 StrikerMan780 Note Edited: 0015016 View Revisions
2016-06-05 23:08 StrikerMan780 Note Added: 0015029
2016-06-05 23:08 StrikerMan780 Status feedback => assigned
2016-06-05 23:09 StrikerMan780 Note Edited: 0015029 View Revisions
2016-06-05 23:09 StrikerMan780 Note Edited: 0015029 View Revisions
2016-06-05 23:12 StrikerMan780 Note Edited: 0015029 View Revisions
2016-06-05 23:15 WaTaKiD Note Added: 0015030
2016-06-06 00:04 StrikerMan780 Note Added: 0015031
2016-06-06 00:10 StrikerMan780 Note Edited: 0015031 View Revisions
2016-06-06 00:10 StrikerMan780 Note Edited: 0015031 View Revisions
2016-06-06 00:11 StrikerMan780 Note Edited: 0015031 View Revisions
2016-06-06 00:11 StrikerMan780 Note Deleted: 0015016
2016-06-06 00:12 StrikerMan780 Note Edited: 0015031 View Revisions
2016-06-06 19:12 StrikerMan780 Note Added: 0015037
2016-06-06 19:12 StrikerMan780 Note Edited: 0015037 View Revisions
2016-06-06 19:43 Edward-san Note Added: 0015039
2016-09-01 01:54 StrikerMan780 Note Added: 0015551
2016-09-01 01:55 StrikerMan780 Note Edited: 0015551 View Revisions
2016-09-01 20:26 Ru5tK1ng Status assigned => resolved
2016-09-01 20:26 Ru5tK1ng Resolution open => fixed
2016-09-01 20:26 Ru5tK1ng Fixed in Version => zdoom-sync
2016-09-01 20:26 Ru5tK1ng Target Version 3.0 => zdoom-sync






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker